Name: hyphen-sr
%define upstreamid 20100920
Version: 0.%{upstreamid}.1
Release: %mkrel 6
Source: http://extensions.services.openoffice.org/e-files/1572/6/dict-sr.oxt
Group:  Text tools
URL: http://extensions.services.openoffice.org/project/dict-sr
License: LGPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-sr
Summary: Serbian hyphenation rules
Provides: hyphen-bs = %{version}-%{release}

%description -n hyphen-sr
Serbian hyphenation rules.

%prep
%setup -q -c

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_sr.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sr_YU.dic
cp -p hyph_sr-Latn.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_sh_YU.dic

sr_YU_aliases="sr_ME sr_RS"
sh_YU_aliases="sh_ME sh_RS bs_BA"

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
for lang in $sr_YU_aliases; do
    ln -s hyph_sr_YU.dic "hyph_"$lang".dic"
done
for lang in $sh_YU_aliases; do
    ln -s hyph_sh_YU.dic "hyph_"$lang".dic"
done
popd

%files
%doc registration/license*.txt
%{_datadir}/hyphen/*


%changelog

* Fri Mar 29 2013 tv <tv> 0.20100920.1-6.mga3
+ Revision: 406370
- requires locales-hyphen-sr (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20100920.1-5.mga3
+ Revision: 354010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 0.20100920.1-4.mga2
+ Revision: 204343
- clean .spec after removing hunspell-sr parts
- rename Name tag
- exclude from hunspell-sr hyphen-sr

* Thu Mar 24 2011 ahmad <ahmad> 0.20100920.1-3.mga1
+ Revision: 77015
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100920.1-2.mga1
+ Revision: 69109
- imported package hunspell-sr

